#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

#define NUM_THREADS 10
static int arr[NUM_THREADS];

//Define our thread function
void HelloThread()
{
  long tid = omp_get_thread_num();  // This thread's identifier
  //Modify the static array here
  arr[(int)tid] = (int)tid+1;

  printf("Hello from thread %ld\n", tid);

}

int main(int argc, char ** argv)
{
  long i;  //Counter to keep track of the current thread

  #pragma omp parallel num_threads(NUM_THREADS)
  {
    HelloThread();
  }

  //Print the static array here
  for(i = 0; i < NUM_THREADS; i++)
    printf("arr[%ld] is %d\n", i, arr[(int)i]);
  return 0;
}
